#ifndef APPMANAGER_H
#define APPMANAGER_H

#include <QObject>
#include "dbusinterfaces/appmanagerinterface.h"
#include <QGSettings>

class AppManager : public QObject
{
    Q_OBJECT
public:
    explicit AppManager(QObject *parent = nullptr);

    Q_INVOKABLE void runApplication(const QString &desktopFile);
    Q_INVOKABLE QList<quint32> runningApplications();
    Q_INVOKABLE void runApplicationConfig(const QString &desktopFile, const QStringList &Config);
    Q_INVOKABLE QString AppDesktopFileNameByPid(qlonglong pid);
    QStringList getAppWhiteList();

private:
    AppManagerInterface *m_appManagerInterface;
};

#endif // APPMANAGER_H
